

/*  Contenedor principal*/
.app-header {
    background-color: #fff;
    border-bottom: 1px solid #e4e8ed;
    height: var(--lz-header-height);
    display: flex;
    align-items: center;
    padding: 0 20px;
    gap: 16px;
}

/*  Logo  */
app-header .navbar-header {
    height: 60px !important;
    width: 300px !important;
    display: flex !important;
    align-items: center !important;
}


/* enlace que envuelve la imagen (navbar-brand) */
.app-header .navbar-brand {
        height: 100% !important;
        width: auto !important;
        display: flex !important;
        align-items: center !important;
        margin: 0 !important;
    }

/* imagen*/
.app-header .navbar-logo {
    height: 45px !important;
    width: auto !important;
    display: flex !important;
    align-items: center !important;
    margin: 0 !important;
    padding: 0 !important;
    background: transparent !important;
    box-shadow: none !important;
    border: none !important;
}

/* Buscador */
.navbar-search {
    flex: 1;
    max-width: 300px;
   
}

.navbar-search-input {
    position: relative;
    display: flex;
    align-items: center;
  
}

    .navbar-search-input .form-control {
        padding-right: 40px;
        border-radius: 20px;
        border: none;
        background: #E8E9EB;
        font-size: 12px;
        height: 30px;
        color: #333;
        transition: border-color .1s, box-shadow .1s;
    }

        .navbar-search-input .form-control:focus {
            border-color: transparent;
            box-shadow: 0 0 0 3px rgba(204,204,204,.25);
            background: #fff;
        }


.navbar-search-btn {
    position: absolute;
    right: 10px;
    background: none;
    border: none;
    color: var(--lz-text-muted);
    cursor: pointer;
    padding: 0;
    font-size: 14px;
    line-height: 1;
}
    .navbar-search-btn:hover {
        color: var(--lz-orange);
    }



/*Avatar + usuario  */
.navbar-avatar {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.navbar-avatar-img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
    display: block;
}

.navbar-username {
    font-size: 12px;
    color: #333;
}

.navbar-link.dropdown-toggle {
    text-decoration: none;
    color: inherit;
}

    .navbar-link.dropdown-toggle::after {
        display: none;
    }

/*Dropdown notificaciones  */
.dropdown-notification {
    min-width: 260px;
    font-size: 12px;
}

.app-header .navbar-nav .navbar-item {
    display: flex !important;
    align-items: center !important;
    height: var(--lz-header-height) !important; /* Forzamos el alto del header */
    margin: 0 !important; /* Quitamos posibles márgenes de la plantilla */
}
